### Signal

# Gtk SvgWidget::activate

unstable since: 4.24

#### Declaration

    void
    activate (
      GtkSvgWidget* self,
      gchar* id,
      gchar* href,
      gpointer user_data
    )

#### Description [src]

Emitted when a link or other element is activated.

Activating elements can be achieved by clicking or by hitting `Enter` while the element has focus.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.24

#### Parameters

`id`

  Type: `gchar*`

  The ID of the element.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`href`

  Type: `gchar*`

  The href, if the element is a link.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.